export default telefuncPlugin;
import type { NextConfig } from 'next';
declare function telefuncPlugin(nextConfig?: NextConfig): {
    [key: string]: any;
} & {
    i18n?: import("next/dist/server/config-shared").I18NConfig | null | undefined;
    eslint?: import("next/dist/server/config-shared").ESLintConfig | undefined;
    typescript?: import("next/dist/server/config-shared").TypeScriptConfig | undefined;
    headers?: (() => Promise<import("next/dist/lib/load-custom-routes").Header[]>) | undefined;
    rewrites?: (() => Promise<import("next/dist/lib/load-custom-routes").Rewrite[] | {
        beforeFiles: import("next/dist/lib/load-custom-routes").Rewrite[];
        afterFiles: import("next/dist/lib/load-custom-routes").Rewrite[];
        fallback: import("next/dist/lib/load-custom-routes").Rewrite[];
    }>) | undefined;
    redirects?: (() => Promise<import("next/dist/lib/load-custom-routes").Redirect[]>) | undefined;
    webpack5?: false | undefined;
    excludeDefaultMomentLocales?: boolean | undefined;
    webpack?: ((config: any, context: {
        dir: string;
        dev: boolean;
        isServer: boolean;
        buildId: string;
        config: import("next/dist/server/config-shared").NextConfigComplete;
        defaultLoaders: {
            babel: any;
        };
        totalPages: number;
        webpack: any;
    }) => any) | null | undefined;
    trailingSlash?: boolean | undefined;
    env?: {
        [key: string]: string;
    } | undefined;
    distDir?: string | undefined;
    cleanDistDir?: boolean | undefined;
    assetPrefix?: string | undefined;
    useFileSystemPublicRoutes?: boolean | undefined;
    generateBuildId?: (() => string | Promise<string | null> | null) | undefined;
    generateEtags?: boolean | undefined;
    pageExtensions?: string[] | undefined;
    compress?: boolean | undefined;
    poweredByHeader?: boolean | undefined;
    images?: Partial<import("next/dist/server/image-config").ImageConfigComplete> | undefined;
    devIndicators?: {
        buildActivity?: boolean | undefined;
        buildActivityPosition?: "bottom-right" | "bottom-left" | "top-right" | "top-left" | undefined;
    } | undefined;
    onDemandEntries?: {
        maxInactiveAge?: number | undefined;
        pagesBufferLength?: number | undefined;
    } | undefined;
    amp?: {
        canonicalBase?: string | undefined;
    } | undefined;
    basePath?: string | undefined;
    sassOptions?: {
        [key: string]: any;
    } | undefined;
    productionBrowserSourceMaps?: boolean | undefined;
    optimizeFonts?: boolean | undefined;
    reactStrictMode?: boolean | undefined;
    publicRuntimeConfig?: {
        [key: string]: any;
    } | undefined;
    serverRuntimeConfig?: {
        [key: string]: any;
    } | undefined;
    httpAgentOptions?: {
        keepAlive?: boolean | undefined;
    } | undefined;
    future?: {
        webpack5?: false | undefined;
    } | undefined;
    outputFileTracing?: boolean | undefined;
    staticPageGenerationTimeout?: number | undefined;
    crossOrigin?: false | "anonymous" | "use-credentials" | undefined;
    swcMinify?: boolean | undefined;
    experimental?: {
        disablePostcssPresetEnv?: boolean | undefined;
        removeConsole?: boolean | {
            exclude?: string[] | undefined;
        } | undefined;
        reactRemoveProperties?: boolean | {
            properties?: string[] | undefined;
        } | undefined;
        styledComponents?: boolean | undefined;
        swcMinify?: boolean | undefined;
        swcFileReading?: boolean | undefined;
        cpus?: number | undefined;
        sharedPool?: boolean | undefined;
        plugins?: boolean | undefined;
        profiling?: boolean | undefined;
        isrFlushToDisk?: boolean | undefined;
        reactMode?: "legacy" | "concurrent" | "blocking" | undefined;
        workerThreads?: boolean | undefined;
        pageEnv?: boolean | undefined;
        optimizeImages?: boolean | undefined;
        optimizeCss?: boolean | undefined;
        scrollRestoration?: boolean | undefined;
        externalDir?: boolean | undefined;
        conformance?: boolean | undefined;
        amp?: {
            optimizer?: any;
            validator?: string | undefined;
            skipValidation?: boolean | undefined;
        } | undefined;
        reactRoot?: boolean | undefined;
        disableOptimizedLoading?: boolean | undefined;
        gzipSize?: boolean | undefined;
        craCompat?: boolean | undefined;
        esmExternals?: boolean | "loose" | undefined;
        isrMemoryCacheSize?: number | undefined;
        concurrentFeatures?: boolean | undefined;
        serverComponents?: boolean | undefined;
        fullySpecified?: boolean | undefined;
        urlImports?: any;
        outputFileTracingRoot?: string | undefined;
        outputStandalone?: boolean | undefined;
    } | undefined;
};
