"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelefuncSSR = exports.useTelefuncContext = void 0;
const react_1 = require("react");
const utils_1 = require("../utils");
const TelefuncReactContext = (0, react_1.createContext)(null);
function TelefuncSSR({ context, children }) {
    (0, utils_1.assertUsage)(context === undefined || (0, utils_1.isObject)(context), '[<TelefuncSSR context={context}/>] context should be an object');
    const { Provider } = TelefuncReactContext;
    return (0, react_1.createElement)(Provider, { value: context !== null && context !== void 0 ? context : null, children });
}
exports.TelefuncSSR = TelefuncSSR;
function useTelefuncContext() {
    const context = (0, react_1.useContext)(TelefuncReactContext);
    return context;
}
exports.useTelefuncContext = useTelefuncContext;
