export { getContext };
export { provideTelefuncContext };
export { restoreContext };
export { installAsyncMode };
export { isAsyncMode };
export type { Telefunc };
import type { Telefunc } from './getContext/TelefuncNamespace';
declare type GetContext = () => Telefunc.Context;
declare type ProvideTelefuncContext = (context: Telefunc.Context) => void;
declare type RestoreContext = (context: null | Telefunc.Context) => void;
declare function getContext<Context extends object = Telefunc.Context>(): Context;
declare function provideTelefuncContext<Context extends object = Telefunc.Context>(context: Context): void;
declare function restoreContext(context: null | Telefunc.Context): void;
declare function installAsyncMode({ getContext_async, provideTelefuncContext_async, restoreContext_async, }: {
    getContext_async: GetContext;
    provideTelefuncContext_async: ProvideTelefuncContext;
    restoreContext_async: RestoreContext;
}): void;
declare function isAsyncMode(): boolean;
