"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decorateTelefunction = void 0;
const assertTelefunction_1 = require("./assertTelefunction");
const loadTelefuncFilesWithRegistration_1 = require("./loadTelefuncFilesWithRegistration");
const utils_1 = require("../../utils");
function decorateTelefunction(telefunction, exportName, telefuncFilePath, appRootDir, skipRegistration) {
    (0, assertTelefunction_1.assertTelefunction)(telefunction, exportName, telefuncFilePath);
    {
        const telefunctionKey = (0, utils_1.getTelefunctionKey)(telefuncFilePath, exportName);
        Object.assign(telefunction, {
            _key: telefunctionKey,
            _appRootDir: appRootDir,
        });
    }
    if (!skipRegistration) {
        (0, loadTelefuncFilesWithRegistration_1.registerTelefunction)(telefunction, exportName, telefuncFilePath);
    }
}
exports.decorateTelefunction = decorateTelefunction;
