"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTelefunctionResult = void 0;
const stringify_1 = require("@brillout/json-serializer/stringify");
const utils_1 = require("../../utils");
function serializeTelefunctionResult(runContext) {
    const bodyValue = {
        ret: runContext.telefunctionReturn,
    };
    if (runContext.telefunctionAborted) {
        bodyValue.abort = true;
    }
    try {
        const httpResponseBody = (0, stringify_1.stringify)(bodyValue, { forbidReactElements: true });
        return httpResponseBody;
    }
    catch (err) {
        (0, utils_1.assert)((0, utils_1.hasProp)(err, 'message', 'string'));
        (0, utils_1.assertUsage)(false, [
            `Cannot serialize value returned by telefunction ${runContext.telefunctionName}() (${runContext.telefuncFilePath}).`,
            'Make sure that telefunctions always return a serializable value.',
            `Serialization error: ${(0, utils_1.lowercaseFirstLetter)(err.message)}`,
        ].join(' '));
    }
}
exports.serializeTelefunctionResult = serializeTelefunctionResult;
