export { configUser as config };
export { getServerConfig };
export type { ConfigUser };
/** Telefunc Server Configuration */
declare type ConfigUser = {
    /**
     * The Telefunc HTTP endpoint URL, e.g. `/api/_telefunc`.
     *
     * @default /_telefunc
     *
     * https://telefunc.com/telefuncUrl
     */
    telefuncUrl?: string;
    /** See https://telefunc.com/event-based#naming-convention */
    disableNamingConvention?: boolean;
    /** Your `.telefunc.js` files */
    telefuncFiles?: string[];
    /** Your project root directory, e.g. `/home/alice/code/my-app/` */
    root?: string;
    /** Wether to disable ETag cache headers */
    disableEtag?: boolean;
};
declare type ConfigResolved = {
    telefuncUrl: string;
    root: string | null;
    disableEtag: boolean;
    telefuncFiles: string[] | null;
    disableNamingConvention: boolean;
};
declare const configUser: ConfigUser;
declare function getServerConfig(): ConfigResolved;
