"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apply = void 0;
const utils_1 = require("../utils");
const isViteCliCall_1 = require("./isViteCliCall");
function apply(when, { skipMiddlewareMode, onlyViteCli } = {}) {
    return (config, { command, mode }) => {
        var _a;
        (0, utils_1.assert)(command);
        (0, utils_1.assert)(mode);
        if (onlyViteCli && !(0, isViteCliCall_1.isViteCliCall)({ command: when })) {
            return false;
        }
        if (when === 'dev') {
            if (skipMiddlewareMode === true && ((_a = config === null || config === void 0 ? void 0 : config.server) === null || _a === void 0 ? void 0 : _a.middlewareMode)) {
                return false;
            }
            return command === 'serve' && mode === 'development';
        }
        (0, utils_1.assert)(skipMiddlewareMode === undefined);
        if (when === 'preview') {
            return command === 'serve' && mode === 'production';
        }
        (0, utils_1.assert)(false);
    };
}
exports.apply = apply;
