"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setTelefuncLoaders = exports.loadTelefuncFilesWithImportBuild = void 0;
const serverConfig_1 = require("../../../server/serverConfig");
const utils_1 = require("../../utils");
const assertManifest_1 = require("./assertManifest");
const globalObject = (0, utils_1.getGlobalObject)('loadBuild.ts', {});
function setTelefuncLoaders({ loadTelefuncFiles, loadManifest, }) {
    globalObject.loadTelefuncFiles = loadTelefuncFiles;
    setServerConfig(loadManifest);
}
exports.setTelefuncLoaders = setTelefuncLoaders;
function setServerConfig(loadManifest) {
    const manifest = loadManifest();
    (0, assertManifest_1.assertManifest)(manifest);
    Object.assign(serverConfig_1.config, manifest.config);
}
async function loadTelefuncFilesWithImportBuild() {
    if (!globalObject.loadTelefuncFiles) {
        return null;
    }
    const moduleExports = await globalObject.loadTelefuncFiles();
    return moduleExports;
}
exports.loadTelefuncFilesWithImportBuild = loadTelefuncFilesWithImportBuild;
