"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.previewConfig = void 0;
const utils_1 = require("../utils");
const helpers_1 = require("../helpers");
function previewConfig() {
    let config;
    return {
        name: 'telefunc:previewConfig',
        apply: (0, helpers_1.apply)('preview'),
        configResolved(config_) {
            config = config_;
            const outDir = (0, utils_1.determineOutDir)(config);
            if (outDir)
                config.build.outDir = outDir;
        },
        // Ensure that SvelteKit's configurePreviewServer() has precedence, see https://github.com/brillout/telefunc/pull/54
        enforce: 'post',
        configurePreviewServer(server) {
            return () => {
                ;
                process.env.NODE_ENV = 'production';
                (0, helpers_1.addTelefuncMiddleware)(server.middlewares);
            };
        },
    };
}
exports.previewConfig = previewConfig;
