"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.printShieldGenResult = void 0;
const generateShield_1 = require("../../server/shield/codegen/generateShield");
const utils_1 = require("../utils");
const picocolors_1 = __importDefault(require("picocolors"));
function printShieldGenResult() {
    let config;
    return {
        name: 'telefunc:printShieldGenResult',
        apply: 'build',
        configResolved(config_) {
            config = config_;
        },
        async writeBundle() {
            if (config.build.ssr) {
                await new Promise((r) => process.nextTick(r)); // Ensuring we log to the console after Vite
                const logSuccessPrefix = picocolors_1.default.green('✓');
                const logIntro = `${picocolors_1.default.cyan(`telefunc v${utils_1.projectInfo.projectVersion}`)} ${picocolors_1.default.green('shield() generation')}`;
                (0, generateShield_1.logResult)(config.root, logSuccessPrefix, logIntro);
            }
        },
    };
}
exports.printShieldGenResult = printShieldGenResult;
