"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRoot = exports.getInfo = void 0;
const utils_1 = require("../utils");
function getInfo(loader) {
    (0, utils_1.assert)(loader._compiler.name === 'client' || loader._compiler.name === 'server');
    const isClientSide = loader._compiler.name !== 'server';
    const root = getRoot(loader._compiler);
    (0, utils_1.assert)(typeof loader.resource === 'string');
    const id = loader.resource;
    (0, utils_1.assert)(id.includes('.telefunc.'));
    (0, utils_1.assert)(loader.mode === 'production' || loader.mode === 'development');
    const isDev = loader.mode === 'development';
    return { id, root, isClientSide, isDev };
}
exports.getInfo = getInfo;
function getRoot(compiler) {
    (0, utils_1.assert)(typeof compiler.context === 'string');
    const root = compiler.context;
    return root;
}
exports.getRoot = getRoot;
