"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const transformTelefuncFileClientSide_1 = require("../transformer/transformTelefuncFileClientSide");
const transformTelefuncFileServerSide_1 = require("../transformer/transformTelefuncFileServerSide");
require("../vite/helpers/clear"); // When running Telefunc's test suite, a previous Vite test may have generated files that need to be removed.
const getInfo_1 = require("./getInfo");
module.exports = async function (input) {
    const { id, root, isClientSide, isDev } = (0, getInfo_1.getInfo)(this);
    if (isClientSide) {
        const code = await (0, transformTelefuncFileClientSide_1.transformTelefuncFileClientSide)(input, (0, utils_1.toPosixPath)(id), (0, utils_1.toPosixPath)(root));
        return code;
    }
    else {
        const code = await (0, transformTelefuncFileServerSide_1.transformTelefuncFileServerSide)(input, (0, utils_1.toPosixPath)(id), (0, utils_1.toPosixPath)(root), false, isDev);
        return code;
    }
};
