"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useData = void 0;
const react_streaming_1 = require("react-streaming");
const utils_1 = require("./utils");
function useData(telefunction, ...args) {
    (0, utils_1.assertUsage)((0, utils_1.isCallable)(telefunction), '`useData(fn)`: argument `fn` should be a function');
    const telefunctionKey = telefunction._key;
    const fnName = telefunction.name;
    (0, utils_1.assertUsage)(telefunctionKey, `The function \`${fnName || 'fn'}\` passed to \`useData(${fnName ? '' : 'fn'})\` isn't a telefunction`);
    const asyncFn = () => {
        return telefunction(...args);
    };
    const key = [telefunctionKey, ...args];
    const result = (0, react_streaming_1.useAsync)(key, asyncFn);
    return result;
}
exports.useData = useData;
