"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertModuleScope = void 0;
const getGlobalObject_1 = require("./getGlobalObject");
const assert_1 = require("./assert");
const globalObject = (0, getGlobalObject_1.getGlobalObject)('./assertModuleScope.ts', {
    loadedModules: [],
});
/** Ensure that the module's variable scope is unique (i.e. not duplicated). Which is equivalent to ensure that the module was loaded only once.
 *
 * We should use `assertModuleScope()` everytime we define variables on the module scope.
 */
function assertModuleScope(moduleKey) {
    (0, assert_1.assert)(!globalObject.loadedModules.includes(moduleKey));
    globalObject.loadedModules.push(moduleKey);
}
exports.assertModuleScope = assertModuleScope;
