"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeEnv = exports.isProduction = void 0;
function isProduction() {
    // If the server environment isn't a Node.js server, then we assume an Edge environment (e.g. Cloudflare Workers)
    if (isNotNode())
        return true;
    const val = getNodeEnv();
    if (val === undefined || val === 'development' || val === '')
        return false;
    // We consider production if `val` is 'production', 'staging', 'test', etc.
    return true;
}
exports.isProduction = isProduction;
function getNodeEnv() {
    if (isNotNode())
        return null;
    return process.env.NODE_ENV;
}
exports.getNodeEnv = getNodeEnv;
function isNotNode() {
    return typeof process == 'undefined' || !('env' in process);
}
