export { configUser as config };
export { resolveClientConfig };
/** Telefunc Client Configuration */
declare type ConfigUser = {
    /**
     * The Telefunc HTTP endpoint URL, for example `https://example.org/_telefunc`.
     *
     * @default /_telefunc
     *
     * https://telefunc.com/telefuncUrl
     */
    telefuncUrl?: string;
    /** Additional headers sent along Telefunc HTTP requests */
    httpHeaders?: Record<string, string>;
};
declare type ConfigResolved = {
    telefuncUrl: string;
    httpHeaders: Record<string, string> | null;
};
declare const configUser: ConfigUser;
declare function resolveClientConfig(): ConfigResolved;
